RagTime5SpreadsheetInternal::GraphicPLC Struct Reference documentation

Public Member Functions | Public Attributes | Friends | List of all members
RagTime5SpreadsheetInternal::GraphicPLC Struct Reference

a graphic style PLC More...

## Public Member Functions
| GraphicPLC ()
| constructor More...
| GraphicPLC (std::vector< int > const &values)
| constructor More...
int | getGraphicStyleId () const
| returns the graphic id More...
bool | operator== (GraphicPLC const &plc) const
| operator== More...
bool | operator!= (GraphicPLC const &plc) const
| operator!= More...

## Public Attributes
int | m_graphStyleId
| the graph style More...
int | m_unknownId
| unknown id (always 0) More...

## Friends
std::ostream & | operator<< (std::ostream &o, GraphicPLC const &plc)
| operator<< More...

## Detailed Description

a graphic style PLC

## Constructor & Destructor Documentation

## ◆ GraphicPLC() [1/2]

RagTime5SpreadsheetInternal::GraphicPLC::GraphicPLC | ( |  | ) |
| inline

constructor

## ◆ GraphicPLC() [2/2]

RagTime5SpreadsheetInternal::GraphicPLC::GraphicPLC | ( | std::vector< int > const & | values | ) |
| inlineexplicit

constructor

## Member Function Documentation

## ◆ getGraphicStyleId()

int RagTime5SpreadsheetInternal::GraphicPLC::getGraphicStyleId | ( |  | ) | const
| inline

returns the graphic id

Referenced by RagTime5Spreadsheet::send().

## ◆ operator!=()

bool RagTime5SpreadsheetInternal::GraphicPLC::operator!= | ( | GraphicPLC const & | plc | ) | const
| inline

operator!=

## ◆ operator==()

bool RagTime5SpreadsheetInternal::GraphicPLC::operator== | ( | GraphicPLC const & | plc | ) | const
| inline

operator==

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | GraphicPLC const & | plc
| ) |  |
| friend

operator<<

## Member Data Documentation

## ◆ m_graphStyleId

int RagTime5SpreadsheetInternal::GraphicPLC::m_graphStyleId

the graph style

Referenced by operator==().

## ◆ m_unknownId

int RagTime5SpreadsheetInternal::GraphicPLC::m_unknownId

unknown id (always 0)

Referenced by operator==().

The documentation for this struct was generated from the following file:

- RagTime5Spreadsheet.cxx